export type subTitle = {
  date: string;
  value: number;
};

export type DayItem = {
  value: string;
  gregorianDate: string;
  jalaliDate: string;
  year: string | null;
  month: string | null;
  monthName: string | null;
  day: string | null;
  weekDay: string;
  weekDayNumber: string;
  isPassed: boolean;
  subTitle: number | null;
};

export type MonthItem = {
  year: string;
  month: string;
  monthName: string;
  days: DayItem[];
};

export type Locale = 'fa' | 'en';

export type DatePickerProps = {
  title?: string;
  value: string;
  numberOfMonth?: number;
  subTitles?: subTitle[];
  isDisabledPast?: boolean;
  onChange: (date: any) => void;
  submitBtnAction?: () => void;
};
